Subject: bug#43695: 28.0.50; FTP tramp fails with some dired listing switches

From: Michael Albinus <[email-masked]>
Date: Wed, 30 Sep 2020 13:29:55 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

>> > So I think that my dired switches like "-gohl
>> > --group-directories-first" are disturbing the FTP.
>> >
>> > Maybe special switches shall be used for FTP and special for dired, so
>> > that such do not conflict.
>>
>> ange-ftp has already a check for proper dired switches. Does the
>> appended patch fixes your problem?
>
> As I cannot implement your patch easily and directly, I would just
> like to re-define the function, is it this one? Please send me your
> function in complete, that I can try it out.

Yes, your redefinition is roughly what I have proposed. However, you use
--group-directories-first, which should have a similar effect as my
patch. So I doubt that ange-ftp-switches-ok is responsible for the
problem.

Could you pls send a backtrace when the error happens to you?

Best regards, Michael.